//| =========================================================================
//| INI file for iProInst.exe                            IBM API Version 1.25
//| -------------------------------------------------------------------------

//| =========================================================================
//|
//| Configurable keywords 
//|
//| =========================================================================
<Config>
    // ----------------------------------------------------------------------
    //  Mandatory settings
    // ----------------------------------------------------------------------
    FamilyCode      = 1.31              // default - no default
    PFilesOffset    = "Intel\Wireless"  // default - no default
    // ----------------------------------------------------------------------
    //  Default over-rides
    // ----------------------------------------------------------------------
    Autorun         = FALSE             // default - FALSE
    InstallMode     = FULL              // default - FULL  [FULL | SILENT | REDUCED]
    SilentReboot    = FALSE             // default - FALSE
    ErrorMode       = ROLLBACK          // default - CONTINUE  [ROLLBACK | HALT | CONTINUE]
    Language        = ALL               // default - ALL   [ALL | ENU | FRA | ... | SVE] 
    DowngradeLegal  = FALSE             // default - FALSE  
    ExtendedSupport = FALSE             // default - TRUE 
    SetPathEnv      = TRUE              // default - FALSE
    // ----------------------------------------------------------------------
    //  Macro over-rides
    // ----------------------------------------------------------------------
    HideTrayIcon    = FALSE             // default - FALSE   
    Disable11A      = FALSE             // default - FALSE
    NoWirelessRadio = FALSE             // default - FALSE
    NoEAPSIMM       = FALSE             // default - FALSE
    PAC             = TRUE              // default - TRUE


//| =========================================================================
//|
//| Feature display selection: '-' DeSelected by default
//|                            '+' Selected by default
//|
//| =========================================================================
<Win2K>
    MSI_Data   = +, Lev0, Driver        
    MSI_Data   = +, Lev0, WirelessCore

<WinXP> 
    MSI_Data   = +, Lev0, Driver        
    MSI_Data   = +, Lev0, WirelessCore

//| =========================================================================
//|
//| MSI data definitions follow.
//|
//| =========================================================================
[WirelessCore]
    FeatureTitle    = [1010]
    Description     = [1011]
    RelativePath    = "iProData\mCore.msi"  
    ConfigureLink   = FeatureSet2
    ConfigureLink   = Disable11A        
    ConfigureLink   = NoWirelessRadio   
    ConfigureLink   = PAC   
    ComponentLink   = ProSafe
    ComponentLink   = WlsSafe
    ComponentLink   = MHInstaller
    ComponentLink   = ProfileManager

[ProfileManager]
    FeatureTitle    = [1060]
    Description     = [1061]
    RelativePath    = "iProData\mPfMgr.msi" 
    DependantLink   = XMLSupport

[ProSafe]
    FeatureTitle    = "ProSafe"
    Description     = "ProSafe"
    RelativePath    = "iProData\mProSafe.msi"   

[WlsSafe]
    FeatureTitle    = "WlsSafe"
    Description     = "WlsSafe"
    RelativePath    = "iProData\mWlsSafe.msi"   

[MHInstaller]
    FeatureTitle    = [1150]
    Description     = [1150]
    RelativePath    = "iProData\mMHouse.msi"    

[XMLSupport]
    FeatureTitle    = "XML Support"
    Description     = "XML Support"
    RelativePath    = "iProData\mXML.msi"   

[Driver]
    FeatureTitle    = [1130]
    Description     = [1131]
    RelativePath    = "iProData\mDriver.msi", "DOINSTALL=Yes SETUPWLD_SILENT=-Silent=59"

//| =========================================================================
//|
//| Registry/ Directory definitions.
//|
//| =========================================================================
{FeatureSet2}
    KeyName         = FeatureSet2
    KeyPath         = "SOFTWARE\Intel\Wireless\GuiConfiguration\" 
    Type            = REG_DWORD
    IData           = 0000003F

{PAC}
    KeyName         = FeatureSet2
    KeyPath         = "SOFTWARE\Intel\Wireless\GuiConfiguration\" 
    Type            = REG_BINARY
    IData           = xxxx xxxx xxxx xx1x xxxx xxxx xxxx xxxx  
    RData           = xxxx xxxx xxxx xx0x xxxx xxxx xxxx xxxx  
    Enabled         = TRUE

{Disable11A}
    KeyName         = FeatureSet1
    KeyPath         = "SOFTWARE\Intel\Wireless\GuiConfiguration\" 
    Type            = REG_BINARY
    IData           = xxxx xxxx x1xx xxxx xxxx xxxx xxxx xxxx  
    Enabled         = FALSE

{NoWirelessRadio}
    KeyName         = FeatureSet1
    KeyPath         = "SOFTWARE\Intel\Wireless\GuiConfiguration\" 
    Type            = REG_BINARY
    IData           = xxxx xxxx 1xxx xxxx xxxx xxxx xxxx xxxx  
    Enabled         = FALSE



